Bug 124639 - Display hangs with resolution != 1400x1050
Display hangs with resolution != 1400x1050
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 22:20 EDT by Jean-Marc Valin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 04:53:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log (*NOT* from FC2) (37.79 KB, text/plain)
2004-09-02 01:33 EDT, Jean-Marc Valin
no flags Details

  None (edit)
Description Jean-Marc Valin 2004-05-27 22:20:12 EDT
Description of problem:
When starting the FC2 installer, I get a hang as soon as it starts X.
I have to add "resolution=1400x1050" to the kernel parameters. Even
after installing, I need to edit the XF86Config file to change the
resolution to 1400x1050. I also tried changing resolution at runtime
and I get a blank screen there too.

Version-Release number of selected component (if applicable):


How reproducible:
always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike A. Harris 2004-09-01 16:09:08 EDT
We require information about what hardware is in the system, in
particular the video hardware in order to be able to investigate
issues like this.

Please attach your X server log file, config file from the installer,
or alternatively do a text mode installation, and then configure
the X server afterward by doing "system-config-display --reconfig".

After this run the X server with "startx", and then if the problem
is reproduceable on the installed OS, attach the X server log file,
config file, and /var/log/messages.

Without any details about your system however there's no way we
could attempt to reproduce the problem.

Thanks in advance.
Comment 2 Jean-Marc Valin 2004-09-02 01:33:56 EDT
Created attachment 103383 [details]
X server log (*NOT* from FC2)

I am no longer running FC2, but Debian (unstable) seems to behave similarly.
Comment 3 Jean-Marc Valin 2004-09-02 01:37:20 EDT
Sorry for not giving more info, my hardware is a Dell Latitude D600
laptop with a Radeon Mobility 9000 M9 card. I have noted that whenever
I try to use the X server with a resolution other than 1400x1050, all
I get is a blank screen and this happens on both FC2 and Debian
unstable. I assume that the installer problem is related to that.
Comment 4 Mike A. Harris 2005-02-01 04:53:33 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE"

Note You need to log in before you can comment on or make changes to this bug.